import { createVNode as _createVNode } from "vue";
import { arrayType, funcType, objectType } from "@antdv/pro-utils";
import { defineComponent } from "vue";
import { ProHelpContext } from "./HelpProvide.mjs";
import { ProHelpSelect } from "./Search.mjs";
export * from "./ProHelpContentPanel.mjs";
export * from "./ProHelpDrawer.mjs";
export * from "./ProHelpModal.mjs";
export * from "./ProHelpPanel.mjs";
export * from "./ProHelpPopover.mjs";
export * from "./RenderContentPanel.mjs";
const proHelpProps = {
  dataSource: arrayType(),
  valueTypeMap: objectType(),
  onLoadContext: funcType()
};
const ProHelp = defineComponent({
  name: "ProHelp",
  props: proHelpProps,
  setup(props, {
    slots
  }) {
    return () => {
      return _createVNode(ProHelpContext.Provider, {
        "value": {
          onLoadContext: props.onLoadContext,
          dataSource: props.dataSource,
          valueTypeMap: props.valueTypeMap
        }
      }, {
        default: () => {
          var _a;
          return [(_a = slots.default) == null ? void 0 : _a.call(slots)];
        }
      });
    };
  }
});
export {
  ProHelp,
  ProHelpContext,
  ProHelpSelect
};
